part of 'field_bloc.dart';

abstract class FieldEvent extends Equatable {
  const FieldEvent();

  @override
  List<Object?> get props => [];
}

class LoadFields extends FieldEvent {
  final String userId;

  const LoadFields({required this.userId});

  @override
  List<Object?> get props => [userId];
}

class AddField extends FieldEvent {
  final Field field;

  const AddField({required this.field});

  @override
  List<Object?> get props => [field];
}

class EditField extends FieldEvent {
  final Field field;

  const EditField({required this.field});

  @override
  List<Object?> get props => [field];
}

class RemoveField extends FieldEvent {
  final String fieldId;

  const RemoveField({required this.fieldId});

  @override
  List<Object?> get props => [fieldId];
} 